pub fn sum_of_squares(x: i64) -> i64 {
    let mut y: i64 = 0;
    for i in (1..(x + 1)){
        y += i.pow(2);
    }
    return y;
}

pub fn square_of_sum(x: i64) -> i64 {
    let mut y: i64 = 0;
    for i in (1..(x + 1)){
        y += i;
    }
    y = y.pow(2);
    return y;
}

pub fn difference(x: i64) -> i64 {
    return square_of_sum(x) - sum_of_squares(x);
}